/* Main Colors and Header img */
:root 
  {
    --site-bg: url('images/Backgroundtest7.png');
    --main-bg: url('images/PinkHeartsBackgroundTest.png');
    --gradient-bg: linear-gradient(0deg, #f9429165 0%, #d63fc925 33%, #5e0c4c50 90%);
    --accent-color: #f70776;
    --link-color: #F72FBB;
    --bg-color: #000000;
    --text-color: #FF70D6;
    --text-color2: #EB46B8;
    --text-color3: #EB38B3;
    --favorite-color: #fb52c7;
  } /* end of root */



/* Hex Codes Resource: https://palettes.shecodes.io/ (Note to self gradients use more #'s.) */
* {
    color: var(--text-color);
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-shadow: 2px 2px 5px var(--bg-color);
/* scrollbars don't appear for all browsers, but i like setting them anyway */
    scrollbar-color: var(--favorite-color) var(--bg-color);
    scrollbar-width: thin;
  }
  
  
/* when selecting text on the page */
::selection 
  {
    background: var(--favorite-color);
    color: var(--bg-color);
  }

html {scroll-behavior: smooth;}

body{
    margin: 0;
    min-height: 100vh;
    background-color: var(--bg-color);
    background-image: var(--site-bg);
    background-repeat: no-repeat;
    background-position: left top;
    background-size: auto 100%;
    }
    
/* Link Spacing */
p {line-height: 1.5em;}

/* this is your site title displayed at the top of the page */
header > h1 
{
    margin: 1em auto;
    max-width: 960px;
    padding-left: 1em;
/* text-align */
    text-align: left;
    color: var(--text-color2);
}

nav {
    padding: 0 1em 1em 1em;
    font-weight: bold;
    }

nav ul{
    max-width: 960px;
    margin: auto;
    line-height: 3rem;
/* makes it wrap around on mobile */
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
/* takes away the dot in front of the list items */
    list-style-type: none;
/* list items have default padding but we don't need it for these */
    padding-left: 0;
/* spaces out the buttons so they're not touching */
    justify-content: space-evenly;
      }
      
      
      
nav li a {
    background-color: var(--bg-color);
    border: 1px solid var(--favorite-color);
    padding: .5em 3em;
/* takes away the link underline */
    text-decoration: none;
/* Animation */
    transition: color 400ms ease-out, border-color 400ms ease-out;
        }
nav li a:hover 
{
    border: 1px solid var(--accent-color);
}

a 
{
    color: var(--link-color);
    transition: color 400ms ease-out;
}

a:visited 
{
    color: var(--favorite-color);
}

a:hover 
{
    color: var(--text-color2);
}

/* List Symbol */
ul { list-style-type: "✦ "; }

#sidebar 
{
    background-image: var(--main-bg);
    border: 1px solid var(--favorite-color);
    min-width: 220px;
}

#avatar 
{
/* Avatar image sizer */
    margin: 1em auto;
    max-width: 164px;
    max-height: 164px;
}
        
#avatar img 
{
    background: var(--bg-color);
    max-width: 160px;
    border: 1px solid var(--favorite-color);
    box-shadow: var(--accent-color) 0 0 4px;
}

#bio 
{
    font-size: smaller;
    margin: 1em;
    background: var(--bg-color);
    border: 1px solid var(--favorite-color);
    box-shadow: var(--accent-color) 0 0 4px;
}

#bio p 
{
    margin: 1em;
    color: var(--text-color2);
}

.username 
{
    color: var(--text-color3); 
    font-weight: bold; 
}



#content 
{
    display: flex;
    max-width: 960px;
    margin: auto;
}

main 
{
    background-image: var(--main-bg);
    background-repeat: repeat;
    image-rendering: pixelated;
    max-width: 800px;
    margin: auto;
    border: 1px solid #EB46B8;
    color: var(--accent-color);
    max-height: 600px;
    overflow:auto;
}

.prose 
{
/* Couldn't do padding on main without it cutting off the background so the padding is here. */
    background: var(--gradient-bg);
    margin: 0;
    padding: 1em;
}

/* changing for it to be centered on mobile */
.img-right { float: right; }

footer 
    {
    text-align: center;
    font-size: small;
    padding: 1em;
    }

/* these are the mobile styles! */
@media only screen and (max-width: 800px) {
    body{
    background-image: none;
    }
  
    #content{
        flex-wrap: wrap;
      }
             
    #sidebar{
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        padding-top: 2em;
      }
             
    #avatar {margin: 0 1em;}
    #bio {width: 50%;}
    #sidebar ul 
      {   
        margin: 0 1em;
        display: flex;
        flex-wrap: wrap;
        line-height: 2em;
        padding-left: 0;
      }
    #sidebar li 
       {
        margin: .3em 1em;
       }
    main 
      {
/* remove scrollbar for mobile */
        max-height: fit-content;
      }
    .img-right 
      {
        float: none;
        text-align: center;
      }
} /* end @media */